Bug 175652 - adding more memory makes the machine use 100% CPU
adding more memory makes the machine use 100% CPU
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-13 12:54 EST by jairo medina
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-27 12:35:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Xstrace-output-linux2-4Gb-2.6.14-1.1651_FC4smp.txt (3.91 KB, text/plain)
2005-12-13 17:25 EST, jairo medina
no flags Details

  None (edit)
Description jairo medina 2005-12-13 12:54:02 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8b) Gecko/20050217

Description of problem:
HW: Dell poweredge SC 1425. with 2GB RAM. Working correctly on FC4 latest updates. I added 2GB more, now when it boots, the x server takes 100% cpu.

I tried the last 3 kernels with the same results.

I made the same memory upgrade on a similar machine with FC3 and no problems.

I booted up with Knoppix 4.0.2 and boots up OK.

I removed the new memory and system came back to normal.

Version-Release number of selected component (if applicable):
kernel-2.6.14-1.1644_FC4, xorg-x11-6.8.2-37.FC4.49.2.i386.rpm

How reproducible:
Always

Steps to Reproduce:
1. shut running system down. Install memory
2. boot up
3. ssh to machine, top shows 100% CPU used.
4. shut system down, remove memory
5. boot up. System back to normal.

Repeat with different kernels, with same results.
  

Actual Results:  ssh is very slow and top shows 100% CPU used by X server.

Expected Results:  ssh to machine, top shows cpu idle.

Additional info:

server has a simple VGA server card by ATI with 16MB of memory (no special card, no special xorg.conf)
Comment 1 Dave Jones 2005-12-13 16:30:34 EST
can you strace the X server process thats taking up all teh CPU and see what its
doing ?

It sounds like an X bug to me, but I'll stay on the Cc for a while to be sure,
and bring in the X folks.
Comment 2 jairo medina 2005-12-13 16:52:46 EST
  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND
 2974 root      25   0     0    0    0 R 99.9  0.0 203:05.59 X
12066 root      25   0  4372 1216 1048 S  7.9  0.1   0:12.04 prefdm
 1909 root      12  -3 11936  628  468 S  2.0  0.0   0:00.23 auditd
 2716 root      15   0  2140  764  668 S  2.0  0.0   0:11.15 hald-addon-hid-
    1 root      16   0  1740  576  492 S  0.0  0.0   0:01.25 init


[root@linux2 ~]# strace -p 2974
attach: ptrace(PTRACE_ATTACH, ...): Operation not permitted

is there another way to strace the process ?
Comment 3 jairo medina 2005-12-13 17:14:10 EST
I installed the latest kernel from your ftp, with the same results execpt  that
I was able to attached to the process, but nothing comes out of it and I cannot
break from it.


Tasks: 134 total,   2 running, 132 sleeping,   0 stopped,   0 zombie
Cpu(s):  0.1% us, 42.1% sy,  0.0% ni, 57.8% id,  0.0% wa,  0.0% hi,  0.0% si
Mem:   4149108k total,   191452k used,  3957656k free,    12072k buffers
Swap:  4194288k total,        0k used,  4194288k free,    85168k cached

  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND
 2976 root      25   0 37872 8456 2012 R 99.7  0.2   2:21.21 X


[root@linux2 ~]# uname -a
Linux linux2 2.6.14-1.1651_FC4smp #1 SMP Mon Dec 12 21:46:12 EST 2005 i686 i686
i386 GNU/Linux
[root@linux2 ~]# strace -p 2976
Process 2976 attached - interrupt to quit

Thanks,
Comment 4 jairo medina 2005-12-13 17:25:12 EST
Created attachment 122200 [details]
Xstrace-output-linux2-4Gb-2.6.14-1.1651_FC4smp.txt

ran strace twice on X
Comment 5 jairo medina 2005-12-13 17:29:46 EST
I power cycled and got the problem, then I just issued a 'reboot' and the
machine came back up without the problem.

The difference this time is that the machine was coming up from a power-on state
instead of a power cycle.

Note that knoppix was able to boot from a power cycle.

I attached the strace output of X running without the problem. There seems to be
a buffer overflow.
Comment 6 Mike A. Harris 2006-06-27 12:35:04 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE".

Note You need to log in before you can comment on or make changes to this bug.